> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Pre Encounter Organization External Providers V 1 Update

PUT https://api.taigabilling.com/organization-external-providers/v1/{id}/{version}
Content-Type: application/json

Updates an organization external provider. The path must contain the next version number to prevent race conditions. For example, if the current version of the provider is n, you will need to send a request to this endpoint with `/{id}/n+1` to update the provider. Updating historic versions is not supported. BadRequestError is returned when the NPI is already in use by another provider.

Reference: https://docs.taigabilling.com/api-reference/pre-encounter-organization-external-providers-v-1/pre-encounter-organization-external-providers-v-1-update

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `id` (string, required) — The unique identifier for an OrganizationExternalProvider in the database
- `version` (string, required)

### Body (application/json)

This endpoint expects a pre-encounterorganizationExternalProvidersv1MutableOrganizationExternalProvider.

- `name` (pre-encounterHumanName, required)
- `types` (list of enum, required)
  - Allowed values: `REFERRING`, `PRIMARY`, `TREATING`
- `npi` (string, optional, nullable)
- `tax_id` (string, optional, nullable)
- `taxonomy_code` (string, optional, nullable)
- `phone_number` (string, optional, nullable)
- `other_phone_numbers` (list of string, optional, nullable)
- `fax_number` (string, optional, nullable)
- `other_fax_numbers` (list of string, optional, nullable)
- `emails` (list of string, optional, nullable)
- `license_type` (enum, optional, nullable)
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`
- `addresses` (list of pre-encounterAddress, optional, nullable)

## Response

### 200

- `deactivated` (boolean, required) — True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
- `id` (string, required) — The unique identifier for an OrganizationExternalProvider in the database
- `name` (pre-encounterHumanName, required)
- `organization_id` (string, required) — The organization that owns this object.
- `types` (list of enum, required)
  - Allowed values: `REFERRING`, `PRIMARY`, `TREATING`
- `updated_at` (datetime, required)
- `updating_user_id` (string, required) — The user ID of the user who last updated the object.
- `version` (integer, required) — The version of the object. Any update to any property of an object object will create a new version.
- `addresses` (list of pre-encounterAddress, optional, nullable)
- `emails` (list of string, optional, nullable)
- `fax_number` (string, optional, nullable)
- `license_type` (enum, optional, nullable)
  - Allowed values: `MD`, `NP`, `PA`, `LMFT`, `LCPC`, `LCSW`, `PMHNP`, `FNP`, `LPCC`, `DO`, `RD`, `SLP`, `APRN`, `LPC`, `PHD`, `PSYD`, `LMSW`, `LMHC`, `OTHER_MASTERS`, `BCBA`, `UNKNOWN`, `RPH`, `PHT`, `LAC`, `LMT`, `DC`, `ND`, `MA`, `PT`, `IBCLC`, `RN`, `DPT`, `LCMHC`, `CNM`, `RNFA`, `ACSW`, `APC`, `BCABA`, `BHA`, `OD`, `DPM`, `DA`, `DDS`, `DEH`, `DMD`, `PTA`, `LCADC`, `LCAT`, `LCMHCS`, `LCMHCA`, `LCSWA`, `LICSW`, `LISW`, `LMFTS`, `LMFTA`, `LPCI`, `LSCSW`, `MHCA`, `MHT`, `RBT`, `RCSWI`, `RHMCI`, `LPN`, `OTD`, `OMS`, `MFTA`, `APCC`, `DNP`, `AGNPBC`, `ANP`, `FNPPP`, `LCSWR`, `ALC`, `RMFTI`, `LAMFT`, `LPCA`, `LSWI`, `CSW`, `CPC`, `LGMFT`, `LLPC`, `PLPC`, `PLMFT`, `LMHCA`, `CIT`, `CT`, `MFT`, `LSW`, `PLMHP`, `PCMSW`, `LMHP`, `OTR/L`, `RPA`, `COTA`, `CRNP`, `SLP-CF`, `NP-C`, `PA-C`, `AMFT`, `CDN`, `CGC`, `CNS`, `MDPHD`, `AuD`, `ATC`, `LAT`, `OTA`, `LSSP`, `SLPA`
- `npi` (string, optional, nullable)
- `other_fax_numbers` (list of string, optional, nullable)
- `other_phone_numbers` (list of string, optional, nullable)
- `phone_number` (string, optional, nullable)
- `tax_id` (string, optional, nullable)
- `taxonomy_code` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `PreEncounter_organizationExternalProviders_v1_updateRequestBadRequestError`
  - PreEncounterOrganizationExternalProvidersV1UpdateRequestBadRequestError0

### 404 Not Found Error

- `PreEncounter_organizationExternalProviders_v1_updateRequestNotFoundError`
  - PreEncounterOrganizationExternalProvidersV1UpdateRequestNotFoundError0

### 409 Conflict Error

- `PreEncounter_organizationExternalProviders_v1_updateRequestConflictError`
  - PreEncounterOrganizationExternalProvidersV1UpdateRequestConflictError0

## Types

### pre-encounterHumanName

- `family` (string, required)
- `given` (list of string, required)
- `use` (enum, required)
  - Allowed values: `USUAL`, `OFFICIAL`, `TEMP`, `NICKNAME`, `ANONYMOUS`, `OLD`, `MAIDEN`
- `period` (pre-encounterPeriod, optional, nullable)
- `suffix` (string, optional, nullable)

### pre-encounterAddress

- `use` (enum, required)
  - Allowed values: `HOME`, `WORK`, `TEMP`, `OLD`, `BILLING`
- `line` (list of string, required)
- `city` (string, required)
- `state` (string, required)
- `postal_code` (string, required)
- `country` (string, required)
- `administrative_area` (string, optional, nullable) — The top-level administrative subdivision of the country for addresses outside the US — for example a Canadian province, a UK county, or a Japanese prefecture. Only permitted on international addresses: `country` must be present and non-US, and `state` must be "FC" (the X12 foreign-country sentinel). For US addresses use `state` instead.
- `county` (string, optional, nullable)
- `period` (pre-encounterPeriod, optional, nullable)

### PreEncounterOrganizationExternalProvidersV1UpdateRequestBadRequestError0

- `errorName` (enum, optional)
  - Allowed values: `VersionConflictError`
- `content` (pre-encounterErrorBase4xx, optional)

### PreEncounterOrganizationExternalProvidersV1UpdateRequestNotFoundError0

- `errorName` (enum, optional)
  - Allowed values: `VersionConflictError`
- `content` (pre-encounterErrorBase4xx, optional)

### PreEncounterOrganizationExternalProvidersV1UpdateRequestConflictError0

- `errorName` (enum, optional)
  - Allowed values: `VersionConflictError`
- `content` (pre-encounterVersionConflictErrorBody, optional)

### pre-encounterPeriod

- `start` (date, optional, nullable)
- `end` (date, optional, nullable)

### pre-encounterErrorBase4xx

- `message` (string, required)
- `data` (any, optional, nullable)

### pre-encounterVersionConflictErrorBody

- `message` (string, required)
- `data` (any, optional, nullable)
- `latest_version` (integer, optional, nullable)

## Examples

**Request**

```json
{
  "name": {
    "family": "string",
    "given": [
      "string"
    ],
    "use": "USUAL"
  },
  "types": [
    "REFERRING"
  ]
}
```

**Response**

```json
{
  "deactivated": true,
  "id": "string",
  "name": {
    "family": "string",
    "given": [
      "string"
    ],
    "use": "USUAL",
    "period": {
      "start": "2023-01-15",
      "end": "2023-01-15"
    },
    "suffix": "string"
  },
  "organization_id": "string",
  "types": [
    "REFERRING"
  ],
  "updated_at": "2024-01-15T09:30:00Z",
  "updating_user_id": "string",
  "version": 1,
  "addresses": [
    {
      "use": "HOME",
      "line": [
        "string"
      ],
      "city": "string",
      "state": "string",
      "postal_code": "string",
      "country": "string",
      "administrative_area": "string",
      "county": "string",
      "period": {
        "start": "2023-01-15",
        "end": "2023-01-15"
      }
    }
  ],
  "emails": [
    "string"
  ],
  "fax_number": "string",
  "license_type": "MD",
  "npi": "string",
  "other_fax_numbers": [
    "string"
  ],
  "other_phone_numbers": [
    "string"
  ],
  "phone_number": "string",
  "tax_id": "string",
  "taxonomy_code": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/organization-external-providers/v1/id/version"

payload = {
    "name": {
        "family": "string",
        "given": ["string"],
        "use": "USUAL"
    },
    "types": ["REFERRING"]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```